%define modname	Email-Address
Name:           perl-%{modname}
Version:        1.889
Release:        1.2
Summary:        RFC 2822 Address Parsing and Creation
Url:            http://search.cpan.org/perldoc?Email::Address
Requires:       perl = %{perl_version}
BuildRequires:  perl
BuildRequires:  perl-Test-Pod            >= 1.14
BuildRequires:  perl-Test-Pod-Coverage   >= 1.08
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

%description
This class implements a regex-based RFC 2822 parser that locates email
addresses in strings and returns a list of Email::Address objects found.
Alternately you may construct objects manually. The goal of this software is to
be correct, and very very fast.

Authors:
--------
    Ricardo SIGNES <rjbs@cpan.org>
    Casey West <casey@geeknest.com>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes LICENSE README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Email
%{perl_vendorarch}/auto/Email
/var/adm/perl-modules/%{name}

%changelog
* Sat Dec 26 2009 lars@linux-schulserver.de
- added URL
* Tue Nov 24 2009 rschweikert@novell.com
- Upgrade to latest version 1.889
- Add build requirements (Test::Pod, Test::Pod::Coverage) to allow all
  tests to run
* Thu Sep 13 2007 James Oakley <jfunk@funktronics.ca> - 1.888-1
- Initial release
